import { SvelteComponentTyped } from "svelte";
import type { HTMLImgAttributes } from 'svelte/elements';
import Thumbnail from './Thumbnail.svelte';
declare const __propDef: {
    props: {
        [x: string]: any;
        images?: HTMLImgAttributes[];
        index?: number;
        ariaLabel?: string;
        imgClass?: string;
        throttleDelay?: number;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {
            Thumbnail: typeof Thumbnail;
            image: HTMLImgAttributes;
            selected: any;
            imgClass: string;
        };
    };
};
export type ThumbnailsProps = typeof __propDef.props;
export type ThumbnailsEvents = typeof __propDef.events;
export type ThumbnailsSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let images: HTMLImgAttributes[] = [];
 * @prop export let index: number = 0;
 * @prop export let ariaLabel: string = 'Click to view image';
 * @prop export let imgClass: string = '';
 * @prop export let throttleDelay: number = 650;
 */
export default class Thumbnails extends SvelteComponentTyped<ThumbnailsProps, ThumbnailsEvents, ThumbnailsSlots> {
}
export {};
