import { SvelteComponentTyped } from "svelte";
export type DropdownType = {
    activeClass: string;
};
declare const __propDef: {
    props: import("svelte/elements").HTMLAnchorAttributes & {
        tag?: string;
        color?: "gray" | "red" | "yellow" | "green" | "indigo" | "purple" | "pink" | "blue" | "light" | "dark" | "default" | "dropdown" | "navbar" | "navbarUl" | "form" | "primary" | "orange" | "none";
        rounded?: boolean;
        border?: boolean;
        shadow?: boolean;
        node?: HTMLElement | undefined;
        use?: import("svelte/action").Action<HTMLElement, any>;
        options?: object;
        class?: string;
        role?: string;
        open?: boolean;
        transition?: (node: HTMLElement, params: any) => import("svelte/transition").TransitionConfig;
        params?: any;
    } & {
        activeContent?: boolean;
        arrow?: boolean;
        offset?: number;
        placement?: import("@floating-ui/dom").Placement;
        trigger?: "hover" | "click" | "focus";
        triggeredBy?: string;
        reference?: string;
        strategy?: "absolute" | "fixed";
        open?: boolean;
        yOnly?: boolean;
    } & {
        activeUrl?: string;
        containerClass?: string;
        classContainer?: string;
        headerClass?: string;
        classHeader?: string;
        footerClass?: string;
        classFooter?: string;
        activeClass?: string;
        classActive?: string;
    };
    events: {
        show: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        header: {};
        default: {};
        footer: {};
    };
};
export type DropdownProps = typeof __propDef.props;
export type DropdownEvents = typeof __propDef.events;
export type DropdownSlots = typeof __propDef.slots;
/**
 * [Go to docs](https://flowbite-svelte.com/)
 * ## Props
 * @prop export let activeUrl: string = '';
 * @prop export let open: boolean = false;
 * @prop export let containerClass: string = 'divide-y z-50';
 * @prop export let classContainer: string | undefined = undefined;
 * @prop export let headerClass: string = 'py-1 overflow-hidden rounded-t-lg';
 * @prop export let classHeader: string | undefined = undefined;
 * @prop export let footerClass: string = 'py-1 overflow-hidden rounded-b-lg';
 * @prop export let classFooter: string | undefined = undefined;
 * @prop export let activeClass: string = 'text-primary-700 dark:text-primary-700 hover:text-primary-900 dark:hover:text-primary-900';
 * @prop export let classActive: string | undefined = undefined;
 */
export default class Dropdown extends SvelteComponentTyped<DropdownProps, DropdownEvents, DropdownSlots> {
}
export {};
